NVREAD(1)

NAME
nvread - Runs TPM2 nvread

DESCRIPTION
nvread

Runs TPM2_NV_Read

[-hia
    hierarchy authorization (o, p)(default index authorization)]

-ha NV index handle

[-pwdn
    password for NV index (default empty)]

[-sz
    data size (default to size of index)] counter, bits, pin read 8 bytes, extend reads based on hash algorithm

[-cert
    dumps the certificate

01c00002
    RSA EK certificate

01c0000a
    ECC EK certificate

[-ocert
    certificate file name, writes in PEM format

[-off
    offset (default 0)]

[-of
    data file (default do not save)]

[-id
    data values for pinCount and pinLimit verification, (4 bytes each)]

-se[0-2] session handle / attributes (default PWAP)

01  continue

40  response encrypt